# $Revision: 1.24 $, $Date: 2009/02/20 10:09:16 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DBIx
%define	pnam	Class
Summary:	DBIx::Class - Extensible and flexible object <-> relational mapper
Summary(pl.UTF-8):	DBIx::Class - rozszerzalne i elastyczne wiązanie obiektów <-> relacji
Name:		perl-DBIx-Class
Version:	0.08012
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBIx/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8d8c526f812d6213a04c6644d52a44b1
URL:		http://search.cpan.org/dist/DBIx-Class/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Carp-Clan
BuildRequires:	perl-Class-Accessor-Chained
BuildRequires:	perl-Class-Accessor-Grouped >= 0.05002
BuildRequires:	perl-Class-C3 >= 0.13
BuildRequires:	perl-Class-C3-Componentised
BuildRequires:	perl-Class-Data-Accessor >= 0.01
BuildRequires:	perl-Class-Inspector >= 1.16
BuildRequires:	perl-Class-Trigger
BuildRequires:	perl-DBD-SQLite >= 1.13
BuildRequires:	perl-DBI >= 1.40
BuildRequires:	perl-DBIx-ContextualFetch
BuildRequires:	perl-Data-Page >= 2.00
BuildRequires:	perl-Data-UUID
BuildRequires:	perl-DateTime
BuildRequires:	perl-Module-Find
BuildRequires:	perl-PadWalker >= 1.0
BuildRequires:	perl-SQL-Abstract >= 1.2
BuildRequires:	perl-SQL-Abstract-Limit >= 0.11
BuildRequires:	perl-SQL-Translator
BuildRequires:	perl-Scope-Guard >= 0.03
BuildRequires:	perl-Test-Memory-Cycle
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Only APR::UUID is available in PLD. And if it was we would still
# need only one of Data::UUID, Data::Uniqid, APR::UUID or UUID at any
# time to get full functionality
%define 	_noautoreq	'perl(Data::Uniqid)' 'perl(UUID)' 'perl(APR::UUID)' 'perl(JSON)' 'perl(DBD::Multi)' 'perl(DBIC::SQL::Abstract)'

%description
DBIx::Class is a SQL to OOP mapper, inspired by the Class::DBI
framework, and meant to support compability with it, while
restructuring the insides, and making it possible to support some new
features like self-joins, distinct, group bys and more.

It's currently considered EXPERIMENTAL - bring this near a production
database at your own risk! The API is *not* fixed yet, although most
of the primitives should be good for the future and any API changes
will be posted to the mailing list before they're committed.

%description -l pl.UTF-8
DBIx::Class to klasa odwzorowująca SQL na OOP, zainspirowana
szkieletem Class::DBI, mająca obsługiwać kompatibilność z nim, ale
restrukturyzując wnętrzności i umożliwiając obsługę niektórych nowych
możliwości, takie jak "self-join", "distinct", "group by" i inne.

Ten moduł jest aktualnie uważany za EKSPERYMENTALNY - zbliżać go do
baz produkcyjnych można tylko na własne ryzyko! API nie zostało
jeszcze ustalone, choć większość prymitywów powinna być dobra na
przyszłość i każda zmiana API jest wysyłana na listę dyskusyjną przed
zatwierdzeniem.

%package -n perl-SQL-Translator-DBIx-Class
Summary:	DBIx::Class schema parser and file producer
Summary(pl.UTF-8):	Narzędzie do analizy schematów i tworzenia plików DBIx::Class
Group:		Development/Languages/Perl

%description -n perl-SQL-Translator-DBIx-Class
This package contains SQL::Translator (sqlfairy) parser for
DBIx::Class::Schema objects and producer for DBIx::Class files.

%description -n perl-SQL-Translator-DBIx-Class -l pl.UTF-8
Ten pakiet zawiera analizator SQL::Translator (sqlfairy) dla obiektów
DBIx::Class::Schema oraz generator plików DBIx::Class.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# SQL::Translator is FUBAR
mv t/94versioning.t{,.fubar}

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"DBIx::Class", EXE_FILES=>[<script/*>])' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/DBIx/Class/{Schema,ResultSet}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/DBIx/*.pm
%{perl_vendorlib}/DBIx/Class
%{_mandir}/man3/*
%{_mandir}/man1/*

%files -n perl-SQL-Translator-DBIx-Class
%defattr(644,root,root,755)
%{perl_vendorlib}/SQL/Translator/Parser/*
%{perl_vendorlib}/SQL/Translator/Producer/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBIx-Class.spec,v $
Revision 1.24  2009/02/20 10:09:16  radek
- release 2: vendorlib/DBIx/Class/ResultSet

Revision 1.23  2009/02/20 09:55:54  radek
- version 0.08012

Revision 1.22  2009/01/16 16:54:30  qboosh
- sorted BRs

Revision 1.21  2009/01/15 22:14:05  agaran
- missing BR

Revision 1.20  2008/12/12 19:29:22  radek
- release 2: noautoreq DBIC::SQL::Abstract, turn off t/94versioning.t

Revision 1.19  2008/04/02 09:14:06  arekm
- up to 0.08010

Revision 1.18  2008-02-17 18:42:29  radek
- version 0.08008

Revision 1.17  2008-01-13 21:43:17  radek
- version 0.08008

Revision 1.16  2007/09/09 12:15:23  radek
- noautoreq: DBD::Multi (used only by experimental *::DBI::Replication)

Revision 1.15  2007/09/09 12:11:25  radek
- don't BR: M::B, add dbicadmin

Revision 1.14  2007/09/09 12:06:11  radek
- version 0.08007, switched to EU::MM

Revision 1.13  2007/03/31 19:57:40  qboosh
- generic URL
- BR: perl-Module-Build

Revision 1.12  2007/02/13 07:16:54  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.10  2007/02/09 19:11:01  radek
- version 0.07005
- BR: PadWalker >= 1, noautoreq JSON, add dbicadmin

Revision 1.9  2006/09/25 07:25:01  radek
- more BR for tests

Revision 1.8  2006/09/25 07:17:09  radek
- BR: perl-Class-Accessor-Chained for tests

Revision 1.7  2006/08/20 18:30:22  qboosh
- pl for SQL-Translator-DBIx-Class

Revision 1.6  2006/08/17 20:30:52  migo
- up to 0.06003
- package SQL::Translator
- add Schema directory

Revision 1.5  2006/04/08 16:26:16  migo
- up to 0.06000

Revision 1.4  2005/11/06 23:02:11  migo
- up to 0.03003

Revision 1.3  2005/11/02 22:38:28  migo
- up to 0.03002

Revision 1.2  2005/10/12 22:15:19  qboosh
- pl

Revision 1.1  2005/10/11 19:45:27  migo
- initial revisions (big help from pldcpan.pl)
